Bug 6207 - two scsi card boot problem
Summary: two scsi card boot problem
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-21 22:58 UTC by broken
Modified: 2015-01-07 23:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-22 14:24:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description broken 1999-10-21 22:58:36 UTC
i am using two scsi cards in my system:  aha-2940uw and a
aha-1542.

the 2940 contains my boot drive and the 1542 contains an
extra storage drive and some other devices.

after installation, i get the error "root file system not
found" and the boot hangs.

the reason is, the 1542 is being found before the 2940 and
so my extra disk is being mistaken for my boot disk.

i never had this problem with prior versions of red hat
linux but always had to edit hosts.c to place 2940 detection
before 1542 detection when i needed to recompile the kernel.

to fix the problem this time (since my machine was
completely unbootable) was to disconnect the 1542 extra
drive, boot up normally, recompile the kernel as i just
described and then reconnect the extra drive.

this isn't anything major for someone used to it, but if
linx is going to make it in the mainstream, such things
can't happen.

Comment 1 Jay Turner 1999-10-22 14:24:59 UTC
This is not really a bug, seeing as how the drives have got to be
recognized in some order, it just happens to be a different order than
you want it to be.  Anyway, the solution to this problem is to append
some information in /etc/conf.modules.  On the alias line for your
scsi adapter (the "alias scsi_hostaadapter aic7xxx" line) add
"aic7xxx=reverse_scan"  This will tell the module to scan the scsi
cards in reverse order, which means that your boot drive will now be
the first one detected and not the last.


Note You need to log in before you can comment on or make changes to this bug.